Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.nodes
Class TAnalyticFunction

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.nodes.TAnalyticFunction

All Implemented Interfaces:
  Visitable

    public class TAnalyticFunction

extends TParseTreeNode

Constructor Summary
`TAnalyticFunction()`

Method Summary
`void` | `doParse(TCustomSqlStatement psql, ESqlClause plocation)` analyze this node
`TKeepDenseRankClause` | `getKeepDenseRankClause()`
`TOrderBy` | `getOrderBy()`
`TExpressionList` | `getPartitionBy_ExprList()`
`void` | `setKeepDenseRankClause(TKeepDenseRankClause keepDenseRankClause)`
`void` | `setOrderBy(TOrderBy orderBy)`
`void` | `setPartitionBy_ExprList(TExpressionList partitionBy_ExprList)`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`accept, addAllMyTokensToTokenList, getColumnNo, getDummyTag, getEndToken, getGsqlparser, getLineNo, getNodeType, getStartToken, init, init, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TAnalyticFunction

    public TAnalyticFunction()

Method Detail

### setOrderBy

    public void setOrderBy(TOrderBy orderBy)

### setPartitionBy_ExprList

    public void setPartitionBy_ExprList(TExpressionList partitionBy_ExprList)

### setKeepDenseRankClause

    public void setKeepDenseRankClause(TKeepDenseRankClause keepDenseRankClause)

### getKeepDenseRankClause

    public TKeepDenseRankClause getKeepDenseRankClause()

### getOrderBy

    public TOrderBy getOrderBy()

### getPartitionBy_ExprList

    public TExpressionList getPartitionBy_ExprList()

### doParse

    public void doParse(TCustomSqlStatement psql,
                        ESqlClause plocation)

  Description copied from class: `TParseTreeNode`
  analyze this node

  Overrides:
    `doParse` in class `TParseTreeNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD